package com.fs.qw.mapper;

import com.fs.qw.domain.QwContactWayGroup;

import java.util.List;

/**
 * 联系我分组Mapper接口
 * 
 * @author fs
 * @date 2024-07-19
 */
public interface QwContactWayGroupMapper 
{
    /**
     * 查询联系我分组
     * 
     * @param id 联系我分组主键
     * @return 联系我分组
     */
    public QwContactWayGroup selectQwContactWayGroupById(Long id);

    /**
     * 查询联系我分组列表
     * 
     * @param qwContactWayGroup 联系我分组
     * @return 联系我分组集合
     */
    public List<QwContactWayGroup> selectQwContactWayGroupList(QwContactWayGroup qwContactWayGroup);

    /**
     * 新增联系我分组
     * 
     * @param qwContactWayGroup 联系我分组
     * @return 结果
     */
    public int insertQwContactWayGroup(QwContactWayGroup qwContactWayGroup);

    /**
     * 修改联系我分组
     * 
     * @param qwContactWayGroup 联系我分组
     * @return 结果
     */
    public int updateQwContactWayGroup(QwContactWayGroup qwContactWayGroup);

    /**
     * 删除联系我分组
     * 
     * @param id 联系我分组主键
     * @return 结果
     */
    public int deleteQwContactWayGroupById(Long id);

    /**
     * 批量删除联系我分组
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQwContactWayGroupByIds(Long[] ids);
}
